# Uses of Class
org.apache.lucene.util.automaton.CompiledAutomaton

Packages that use CompiledAutomaton
Package
Description
org.apache.lucene.codecs.lucene103.blocktree
BlockTree terms dictionary.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of CompiledAutomaton in org.apache.lucene.codecs.lucene103.blocktree

  Methods in org.apache.lucene.codecs.lucene103.blocktree with parameters of type CompiledAutomaton
  Modifier and Type
  Method
  Description
  `TermsEnum`
  FieldReader.`intersect(CompiledAutomaton compiled, BytesRef startTerm)`

- ## Uses of CompiledAutomaton in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type CompiledAutomaton
  Modifier and Type
  Method
  Description
  `TermsEnum`
  ExitableDirectoryReader.ExitableTerms.`intersect(CompiledAutomaton compiled, BytesRef startTerm)`
  `TermsEnum`
  FilterSortedDocValues.`intersect(CompiledAutomaton automaton)`
  `TermsEnum`
  FilterSortedSetDocValues.`intersect(CompiledAutomaton automaton)`
  `TermsEnum`
  MultiTerms.`intersect(CompiledAutomaton compiled, BytesRef startTerm)`
  `TermsEnum`
  SortedDocValues.`intersect(CompiledAutomaton automaton)`
  Returns a `TermsEnum` over the values, filtered by a `CompiledAutomaton` The enum supports `TermsEnum.ord()`.
  `TermsEnum`
  SortedSetDocValues.`intersect(CompiledAutomaton automaton)`
  Returns a `TermsEnum` over the values, filtered by a `CompiledAutomaton` The enum supports `TermsEnum.ord()`.
  `TermsEnum`
  Terms.`intersect(CompiledAutomaton compiled, BytesRef startTerm)`
  Returns a TermsEnum that iterates over all terms and documents that are accepted by the provided `CompiledAutomaton`.
  Constructors in org.apache.lucene.index with parameters of type CompiledAutomaton
  Modifier
  Constructor
  Description
  ``
  `AutomatonTermsEnum(TermsEnum tenum, CompiledAutomaton compiled)`
  Construct an enumerator based upon an automaton, enumerating the specified field, working on a supplied TermsEnum

- ## Uses of CompiledAutomaton in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as CompiledAutomaton
  Modifier and Type
  Field
  Description
  `protected final CompiledAutomaton`
  AutomatonQuery.`compiled`
  Methods in org.apache.lucene.search that return CompiledAutomaton
  Modifier and Type
  Method
  Description
  `CompiledAutomaton`
  FuzzyQuery.`getAutomata()`
  Returns the compiled automata used to match terms
  `CompiledAutomaton`
  AutomatonQuery.`getCompiled()`
  `static CompiledAutomaton`
  FuzzyQuery.`getFuzzyAutomaton(String term, int maxEdits, int prefixLength, boolean transpositions)`
  Returns the `CompiledAutomaton` internally used by `FuzzyQuery` to match terms.